CRMchat APIBeta
Telegram MethodsWallet

wallet.tonConnectGetSessions

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/wallet.tonConnectGetSessions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/wallet.tonConnectGetSessions" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "wallet.tonConnectSessions",    "sessions": [      {        "_": "tonConnectSession",        "pending": true,        "closing": true,        "closed": true,        "id": "string",        "dappClientId": "string",        "clientId": "string",        "nonce": "string",        "manifest": {          "_": "tonConnectManifest",          "url": "string",          "name": "string",          "icon": {            "_": "webDocument",            "url": "string",            "accessHash": "string",            "size": 0,            "mimeType": "string",            "attributes": [              {                "_": "documentAttributeImageSize",                "w": 0,                "h": 0              }            ]          }        },        "manifestError": 0,        "date": 0      }    ]  },  "txid": 0}